<?xml version="1.0" encoding="utf-8"?>
<linkbase
  xmlns="http://www.xbrl.org/2003/linkbase"
  xmlns:xbrli="http://www.xbrl.org/2003/instance"
  xmlns:xlink="http://www.w3.org/1999/xlink"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
    <roleRef
      roleURI="http://www.xbrl.org/2009/role/netLabel"
      xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"
      xlink:type="simple"/>
    <roleRef
      roleURI="http://www.xbrl.org/2009/role/negatedLabel"
      xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"
      xlink:type="simple"/>
    <labelLink
      xlink:role="http://www.xbrl.org/2003/role/link"
      xlink:type="extended">
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Goodwill"
          xlink:label="ifrs-full_Goodwill"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Goodwill"
          xlink:to="label_ifrs-full_Goodwill"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Goodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Goodwill at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_Goodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Goodwill at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:to="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total intangible assets other than goodwill</label>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Intangible assets other than goodwill at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_IntangibleAssetsOtherThanGoodwill"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Intangible assets other than goodwill at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"
          xlink:label="ifrs-full_PropertyPlantAndEquipment"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_PropertyPlantAndEquipment"
          xlink:to="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total property, plant and equipment</label>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Property, plant and equipment at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_PropertyPlantAndEquipment"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Property, plant and equipment at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets"
          xlink:label="ifrs-full_DeferredTaxAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DeferredTaxAssets"
          xlink:to="label_ifrs-full_DeferredTaxAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DeferredTaxAssets"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="en">Deferred tax assets</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"
          xlink:label="ifrs-full_NoncurrentAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentAssets"
          xlink:to="label_ifrs-full_NoncurrentAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentAssets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total non-current assets</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"
          xlink:label="ifrs-full_CashAndCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashAndCashEquivalents"
          xlink:to="label_ifrs-full_CashAndCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total cash and cash equivalents</label>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Cash and cash equivalents at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Cash and cash equivalents at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"
          xlink:label="ifrs-full_CurrentAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentAssets"
          xlink:to="label_ifrs-full_CurrentAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentAssets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total current assets</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets"
          xlink:label="ifrs-full_Assets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Assets"
          xlink:to="label_ifrs-full_Assets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total assets</label>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Assets at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_Assets"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Assets at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital"
          xlink:label="ifrs-full_IssuedCapital"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IssuedCapital"
          xlink:to="label_ifrs-full_IssuedCapital"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IssuedCapital"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total issued capital</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReservesAndRetainedEarnings"
          xlink:label="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ReservesAndRetainedEarnings"
          xlink:to="label_ovhgroupe_ReservesAndRetainedEarnings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ReservesAndRetainedEarnings"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Reserves And Retained Earnings</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"
          xlink:label="ifrs-full_Equity"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_Equity"
          xlink:to="label_ifrs-full_Equity"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total equity</label>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"
          xlink:type="resource"
          xml:lang="en">Equity at beginning of period</label>
        <label
          xlink:label="label_ifrs-full_Equity"
          xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"
          xlink:type="resource"
          xml:lang="en">Equity at end of period</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings"
          xlink:label="ifrs-full_LongtermBorrowings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_LongtermBorrowings"
          xlink:to="label_ifrs-full_LongtermBorrowings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_LongtermBorrowings"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total non-current portion of non-current borrowings</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentProvisions"
          xlink:label="ifrs-full_NoncurrentProvisions"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentProvisions"
          xlink:to="label_ifrs-full_NoncurrentProvisions"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentProvisions"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total non-current provisions</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"
          xlink:label="ifrs-full_NoncurrentLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_NoncurrentLiabilities"
          xlink:to="label_ifrs-full_NoncurrentLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_NoncurrentLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total non-current liabilities</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:label="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:to="label_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total current borrowings and current portion of non-current borrowings</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentProvisions"
          xlink:label="ifrs-full_CurrentProvisions"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentProvisions"
          xlink:to="label_ifrs-full_CurrentProvisions"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentProvisions"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total current provisions</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"
          xlink:label="ifrs-full_CurrentLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CurrentLiabilities"
          xlink:to="label_ifrs-full_CurrentLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CurrentLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total current liabilities</label>
        <label
          xlink:label="label_ifrs-full_CurrentLiabilities"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="en">Current liabilities</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities"
          xlink:label="ifrs-full_EquityAndLiabilities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_EquityAndLiabilities"
          xlink:to="label_ifrs-full_EquityAndLiabilities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_EquityAndLiabilities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total equity and liabilities</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense"
          xlink:label="ifrs-full_EmployeeBenefitsExpense"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_EmployeeBenefitsExpense"
          xlink:to="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total employee benefits expense</label>
        <label
          xlink:label="label_ifrs-full_EmployeeBenefitsExpense"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="en">Employee benefits expense</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:label="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:to="label_ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_OperatingExpensesOtherThanPersonnelExpenses"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Operating Expenses Other Than Personnel Expenses</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentEbitda"
          xlink:label="ovhgroupe_CurrentEbitda"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CurrentEbitda"
          xlink:to="label_ovhgroupe_CurrentEbitda"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CurrentEbitda"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Current Ebitda</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:to="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total depreciation, amortisation and impairment loss (reversal of impairment loss) recognised in profit or loss</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CurrentOperatingIncome"
          xlink:label="ovhgroupe_CurrentOperatingIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CurrentOperatingIncome"
          xlink:to="label_ovhgroupe_CurrentOperatingIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CurrentOperatingIncome"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Current Operating Income</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"
          xlink:label="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLossFromOperatingActivities"
          xlink:to="label_ifrs-full_ProfitLossFromOperatingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLossFromOperatingActivities"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Profit (loss) from operating activities</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"
          xlink:label="ifrs-full_ProfitLossBeforeTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLossBeforeTax"
          xlink:to="label_ifrs-full_ProfitLossBeforeTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLossBeforeTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Profit (loss) before tax</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"
          xlink:label="ifrs-full_ProfitLoss"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ProfitLoss"
          xlink:to="label_ifrs-full_ProfitLoss"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ProfitLoss"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Profit (loss)</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShare"
          xlink:label="ifrs-full_BasicEarningsLossPerShare"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_BasicEarningsLossPerShare"
          xlink:to="label_ifrs-full_BasicEarningsLossPerShare"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_BasicEarningsLossPerShare"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total basic earnings (loss) per share</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare"
          xlink:label="ifrs-full_DilutedEarningsLossPerShare"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_DilutedEarningsLossPerShare"
          xlink:to="label_ifrs-full_DilutedEarningsLossPerShare"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_DilutedEarningsLossPerShare"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total diluted earnings (loss) per share</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:label="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:to="label_ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_RevaluationOfHedgingInstruments"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Revaluation Of Hedging Instruments</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Other comprehensive income, net of tax, exchange differences on translation of foreign operations</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total other comprehensive income that will be reclassified to profit or loss, net of tax</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total other comprehensive income, before tax, gains (losses) on remeasurements of defined benefit plans</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:to="label_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total other comprehensive income that will not be reclassified to profit or loss, net of tax</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"
          xlink:label="ifrs-full_OtherComprehensiveIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_OtherComprehensiveIncome"
          xlink:to="label_ifrs-full_OtherComprehensiveIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_OtherComprehensiveIncome"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total other comprehensive income</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome"
          xlink:label="ifrs-full_ComprehensiveIncome"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_ComprehensiveIncome"
          xlink:to="label_ifrs-full_ComprehensiveIncome"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_ComprehensiveIncome"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total comprehensive income</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:label="ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:to="label_ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ForeignExchangeLossesUsdCad"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Foreign Exchange Losses Usd Cad</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:label="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:to="label_ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_AdjustmentsForGainsLossesOnAssetDisposalsAndOtherWriteoffsAndRevaluations"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Adjustments For Gains Losses On Asset Disposals And Other Writeoffs And Revaluations</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="en">Net cash flows from (used in) operations</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInOperatingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="en">Net cash flows from (used in) operating activities</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:label="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:to="label_ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_PaymentsRelatedToAcquisitionsOfPropertyPlantAndEquipmentAndIntangibleAssets"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Payments Related To Acquisitions Of Property Plant And Equipment And Intangible Assets</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:label="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:to="label_ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ProceedsFromDisposalOfAssets"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Proceeds From Disposal Of Assets</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:label="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:to="label_ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CashInflowsOutflowsRelatedToBusinessCombinationsNetOfCash"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Cash Inflows Outflows Related To Business Combinations Net Of Cash</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:label="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:to="label_ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_ReceiptsDisbursementsRelatedToLoansAndAdvancesGranted"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Receipts Disbursements Related To Loans And Advances Granted</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInInvestingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="en">Net cash flows from (used in) investing activities</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseIpo"
          xlink:label="ovhgroupe_CapitalIncreaseIpo"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CapitalIncreaseIpo"
          xlink:to="label_ovhgroupe_CapitalIncreaseIpo"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CapitalIncreaseIpo"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Capital Increase Ipo</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_CapitalIncreaseEsp2021"
          xlink:label="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_CapitalIncreaseEsp2021"
          xlink:to="label_ovhgroupe_CapitalIncreaseEsp2021"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_CapitalIncreaseEsp2021"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Capital Increase Esp2021</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:to="label_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="en">Payments to acquire or redeem entity's shares</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_GuaranteeDepositsReceived"
          xlink:label="ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_GuaranteeDepositsReceived"
          xlink:to="label_ovhgroupe_GuaranteeDepositsReceived"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_GuaranteeDepositsReceived"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Guarantee Deposits Received</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:to="label_ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashFlowsFromUsedInFinancingActivities"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="en">Net cash flows from (used in) financing activities</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:to="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"
          xlink:role="http://www.xbrl.org/2009/role/netLabel"
          xlink:type="resource"
          xml:lang="en">Net increase (decrease) in cash and cash equivalents after effect of exchange rate changes</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:to="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"
          xlink:role="http://www.xbrl.org/2003/role/totalLabel"
          xlink:type="resource"
          xml:lang="en">Total cash and cash equivalents if different from statement of financial position</label>
        <loc
          xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:label="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:to="label_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:type="arc"/>
        <label
          xlink:label="label_ifrs-full_BankOverdraftsClassifiedAsCashEquivalents"
          xlink:role="http://www.xbrl.org/2009/role/negatedLabel"
          xlink:type="resource"
          xml:lang="en">Bank overdrafts</label>
        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:label="ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:to="label_ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_OtherComprehensiveIncomeExcludingTranslationReservesMember"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Other Comprehensive Income Excluding Translation Reserves Member</label>

        <loc
          xlink:href="ovhcloud2023-2023-08-31.xsd#ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:label="ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="locator"/>
        <labelArc
          order="1"
          xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label"
          xlink:from="ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:to="label_ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:type="arc"/>
        <label
          xlink:label="label_ovhgroupe_AdjustmentsForFinanceIncomeCostExcludingRealizedForeignExchangeLossesGains"
          xlink:role="http://www.xbrl.org/2003/role/label"
          xlink:type="resource"
          xml:lang="en">Net Financial Income Excluding Foreign Exchange Differences</label>
    </labelLink>
</linkbase>
